JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::midi_ci::PropertySubscriptionData Struct Reference
juce_midi_ci » ci

Contains information relating to a subscription update. More...

`#include <juce_CIDeviceListener.h>`

## Public Attributes
PropertySubscriptionHeader | header
Span< const std::byte > | body

## Detailed Description

Contains information relating to a subscription update.

Check the header's subscription kind to find out whether the payload is a full update, a partial update, or empty (as is the case for a notification or subscription-end request).

## Member Data Documentation

## ◆ header

PropertySubscriptionHeader juce::midi_ci::PropertySubscriptionData::header

## ◆ body

Span<const std::byte> juce::midi_ci::PropertySubscriptionData::body

The documentation for this struct was generated from the following file:

- juce_CIDeviceListener.h